Add migrations for replacing passenger with puma

03/06/2020 07:35 PM - Suresh Thirugnanasambandan

Status: Closed   

Priority: Normal   

Assignee: Suresh Thirugnanasambandan   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/484,

https://github.com/theforeman/foreman-i

nstaller/pull/495

  

Description

At this point, puma is default in nightly.  This issue is to track the migrations required for enabling puma on upgrades.

Related issues:

Related to Installer - Tracker #28999: Deploy Foreman with Puma as the applic... Closed

Associated revisions

Revision 0b244f56 - 03/06/2020 08:52 PM - Suresh Thirugnanasambandan

Fixes #29282: Add migration to enable Puma

Revision 34bc641a - 04/02/2020 05:18 PM - Suresh Thirugnanasambandan

Fixes #29282 - Enable Puma migration on compatible upgrades

The commit bd02fbd reverted commit 0b244f5.

https://github.com/theforeman/puppet-foreman/pull/814 fixed the race

condition of systemctl start foreman returning immediately before the

service was up.

History

#1 - 03/06/2020 07:35 PM - Suresh Thirugnanasambandan

- Tracker changed from Bug to Feature

#2 - 03/06/2020 07:36 PM - Suresh Thirugnanasambandan

- Blocks Tracker #28999: Deploy Foreman with Puma as the application server by default added

#3 - 03/06/2020 07:36 PM - Suresh Thirugnanasambandan

- Blocks deleted (Tracker #28999: Deploy Foreman with Puma as the application server by default)

#4 - 03/06/2020 07:37 PM - Suresh Thirugnanasambandan

- Related to Tracker #28999: Deploy Foreman with Puma as the application server by default added

#5 - 03/06/2020 07:43 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman-installer/pull/484 added

#6 - 03/06/2020 08:52 PM - The Foreman Bot

- Fixed in Releases 2.1.0 added
https://github.com/theforeman/puppet-foreman/pull/814


#7 - 03/06/2020 09:01 PM - Suresh Thirugnanasambandan

- Status changed from Ready For Testing to Closed

Applied in changeset installer|0b244f5623889585eb2b1a16a20ef659ebd2195f.

#8 - 04/01/2020 07:20 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/495 added
